{
  pkgs,
  inputs,
  ...
}:
{
  imports = [
    inputs.nix-templates.homeManagerModules.default
    inputs.nix-templates.homeManagerModules.home
    inputs.nix-templates.homeManagerModules.dev

    # ./xdg.nix
    ./vm.nix
  ];

  programs.ssh = {
    enable = true;
    addKeysToAgent = "1h";
  };

  services.ssh-agent.enable = true;

  programs.yt-dlp.enable = true;

  # This value determines the Home Manager release that your
  # configuration is compatible with. This helps avoid breakage
  # when a new Home Manager release introduces backwards
  # incompatible changes.
  #
  # You can update Home Manager without changing this value. See
  # the Home Manager release notes for a list of state version
  # changes in each release.
  home.stateVersion = "23.11";

  # Let Home Manager install and manage itself.
  #programs.home-manager.enable = true;
}
